GDB (xrefs)

Public Member Functions | List of all members
tui_file Class Reference

`#include "tui-file.h"`

Inheritance diagram for tui_file:

## Public Member Functions
| tui_file (FILE *stream)
void | write (const char *buf, long length_buf) override
void | puts (const char *) override
void | flush () override
Public Member Functions inherited from stdio_file
| stdio_file (FILE *file, bool close_p=false)
| stdio_file ()
| ~stdio_file () override
bool | open (const char *name, const char *mode)
void | flush () override
void | write (const char *buf, long length_buf) override
void | write_async_safe (const char *buf, long length_buf) override
void | puts (const char *) override
long | read (char *buf, long length_buf) override
bool | isatty () override
Public Member Functions inherited from ui_file
| ui_file ()
virtual | ~ui_file ()=0
void | printf (const char *,...) ATTRIBUTE_PRINTF(2
void void | putstr (const char *str, int quoter)
void | putstrn (const char *str, int n, int quoter)
int | putc (int c)
void | vprintf (const char *, va_list) ATTRIBUTE_PRINTF(2

## Detailed Description

Definition at line 26 of file tui-file.h.

## Constructor & Destructor Documentation

## ◆ tui_file()

tui_file::tui_file | ( | FILE * | stream | ) |
| explicit

Definition at line 25 of file tui-file.c.

## Member Function Documentation

## ◆ flush()

void tui_file::flush | ( |  | ) |
| override virtual

Reimplemented from ui_file.

Definition at line 57 of file tui-file.c.

References stdio_file::flush(), gdb_stdout, and tui_refresh_cmd_win().

## ◆ puts()

void tui_file::puts | ( | const char * | linebuffer | ) |
| override virtual

Reimplemented from ui_file.

Definition at line 37 of file tui-file.c.

References gdb_stdout, tui_puts(), and tui_refresh_cmd_win().

## ◆ write()

void tui_file::write | ( | const char * | buf,
|  | long | length_buf
| ) |  |
| override virtual

Implements ui_file.

Definition at line 47 of file tui-file.c.

References gdb_stdout, tui_refresh_cmd_win(), and tui_write().

Referenced by gdb._GdbFile::writelines().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/tui/tui-file.h
- /tmp/gdb-8.1/gdb/tui/tui-file.c